<!DOCTYPE html>
<html>
<head>

  <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='resifsi.css') }}">
	<title>Documentation</title>
	<meta charset="utf-8">
</head>
<body>
  <div class="main">

  <img src="{{ url_for('static',filename='image/logoresif.png') }}">

  <h1> Le webservice Transaction</h1>
  <div> 

      		<p>&nbsp;&nbsp;Le webservice transaction permet de récupérer des informations sur les transactions d'intégrations des données des Noeuds A. Il existe trois niveaux:</p>
      		<ol>
      			<li><b>Niveau Transaction</b> </li>
      			<p><br>
      		&nbsp;&nbsp;Avec ce niveau on demande des informations générales sur les transactions. On peux préciser une transaction avec l’argument « transactionid ». On aura comme sortie :<br/><br/>
            &nbsp;&nbsp;<b>#transactionID|node|networks(in files names)|last-updated|number of files|status|type</b><br><br>
            &nbsp;&nbsp;Une requête sans parametres retourne les 100 dernières transactions
            <br><br><b>Exemple</b><br>
            <a href="http://ws.resif.fr/resifsi/transaction/1/query?level=transaction&node=SISMOB&starttime=2018-01-01&format=text">
            http://ws.resif.fr/resifsi/transaction/1/query?level=transaction&node=SISMOB&starttime=2018-01-01&format=text</a></a>
      			</p><br>
      		<li><b>Niveau File</b></li>
            <p><br>&nbsp;&nbsp;Avec le niveau file on auras des informations sur les fichiers envoyés en précisant l'identifiant de la transaction. On aura comme sortie :
            &nbsp;&nbsp;<b>#transactionID|node|last-updated|filename|first error on testID</b><br>
            <br><b>Exemple</b><br>
            <a href="http://ws.resif.fr/resifsi/transaction/1/query?level=file&transactionid=MWWA7190&format=text">
            http://ws.resif.fr/resifsi/transaction/1/query?level=file&transactionid=MWWA7190&format=text</a>
      			</p><br>
      		<li><b>Niveau Content</b></li>
            <p><br>
          &nbsp;&nbsp;Affiche le fichier XML de la transaction. L’argument transactionid est obligatoire.<br>
            <br><b>Exemple</b><br>
            <a href="http://ws.resif.fr/resifsi/transaction/1/query?level=content&transactionid=MWWA7190">http://ws.resif.fr/resifsi/transaction/1/query?level=content&transactionid=MWWA7190</a>
            <br><br> Le tableau des paramètres est représenté ci-dessous <br>
      		</ol>

 		  	<table class="table2">
 		  		<thead>
 		  			<tr>
 		  				<th>Paramètre</th>
 		  				<th>Requis</th>
 		  				<th>Description</th>
 		  				<th>Valeurs (défaut)</th>
 		  			</tr>
 		  		</thead>
 		  		<tbody>
 		  			<tr>
 		  				<td >starttime</td>
 		  				<td >NON</td>
 		  				<td >Date de début</td>
 		  				<td >YYYY-MM-DDTHH:MM:SS (-)</td>
 		  			</tr>
 		  			<tr>
 		  				<td >endtime</td>
 		  				<td >NON</td>
 		  				<td >Date de fin</td>
 		  				<td >YYYY-MM-DDTHH:MM:SS (-)</td>
 		  			</tr>
					<tr>
 		  				<td >node</td>
 		  				<td >NON</td>
 		  				<td >Nom du node en majuscules</td>
 		  				<td >OMIV, IPGP, RAP, SISMOB, DASE, RLBP-OCA, RLBP</td>
 		  			</tr>
					<tr>
 		  				<td >network</td>
 		  				<td >NON</td>
 		  				<td >Code réseau FDSN</td>
 		  				<td>La liste des codes réseaux est disponible <a href="http://seismology.resif.fr/#NetworkConsultPlace:">ici </a></td>
 		  			</tr>
					<tr>
 		  				<td >status</td>
 		  				<td >NON</td>
 		  				<td >statut de la transaction</td>
 		  				<td >(*)</td>
 		  			</tr>
					<tr>
 		  				<td >type</td>
 		  				<td >NON</td>
 		  				<td >Type de transaction</td>
 		  				<td >seismic_data_miniseed
/ seismic_metadata_dataless_seed (*)</td>
 		  			</tr>
					<tr>
 		  				<td >format</td>
 		  				<td >NON</td>
 		  				<td >Format de sortie</td>
 		  				<td >text/json (json)</td>
 		  			</tr>
					<tr>
 		  				<td >transactionid</td>
 		  				<td >NON</td>
 		  				<td >ID de la transaction</td>
 		  				<td > (-)</td>
 		  			</tr>
					<tr>
 		  				<td >erroron</td>
 		  				<td >NON</td>
 		  				<td >ID du test provoquant l’erreur</td>
 		  				<td > (-)</td>
 		  			</tr>
					<tr>
 		  				<td >level</td>
 		  				<td >NON</td>
 		  				<td >Niveau de détails</td>
 		  				<td >transaction/file/content (transaction)</td>
 		  			</tr>
 		  		</tbody>
 		  	</table>

  </div>
<br>
 <div>

    <li> <b>Gestion des erreurs</b></li>
            </br>
        <table class="table2">
            <thead>
              <tr>
                <th>code</th>
                <th>description</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>200</td>
                <td>Sucessfull</td>
              </tr>
              <tr>
                <td>201</td>
                <td>No data</td>
              </tr>
              <tr>
                <td>400</td>
                <td>Bad request</td>
              </tr>
              <tr>
                <td>403</td>
                <td>To much data requested</td>
              </tr>
              <tr>
                <td>500</td>
                <td>Internal Server Error</td>
              </tr>
            </tbody>
          </table>    

  </div>
  <br>
</div>

</body>
</html>
